Package fr.gouv.vitam.common.database.utils

# Class ArrayListScrollSpliterator<T>

java.lang.Object
java.util.Spliterators.AbstractSpliterator<List<T>>
fr.gouv.vitam.common.database.utils.ArrayListScrollSpliterator<T>

Type Parameters:
  `T` -

All Implemented Interfaces:
  `Spliterator<List<T>>`

public class ArrayListScrollSpliterator<T> extends Spliterators.AbstractSpliterator<List<T>>
ScrollSpliterator

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface java.util.Spliterator

  `Spliterator.OfDouble, Spliterator.OfInt, Spliterator.OfLong, Spliterator.OfPrimitive<T,T_CONS,T_SPLITR extends Spliterator.OfPrimitive<T,T_CONS,T_SPLITR>>`

- ## Field Summary

  ### Fields inherited from interface java.util.Spliterator

  `CONCURRENT, DISTINCT, IMMUTABLE, NONNULL, ORDERED, SIZED, SORTED, SUBSIZED`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ArrayListScrollSpliterator(SelectMultiQuery query, Function<SelectMultiQuery,RequestResponse<List<T>>> repository, int scrollTimeout, int limit)`
  Constructor

- ## Method Summary

  Modifier and Type
  Method
  Description
  `long`
  `estimateSize()`
  `boolean`
  `tryAdvance(Consumer<? super List<T>> action)`

  ### Methods inherited from class java.util.Spliterators.AbstractSpliterator

  `characteristics, trySplit`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface java.util.Spliterator

  `forEachRemaining, getComparator, getExactSizeIfKnown, hasCharacteristics`

- ## Constructor Details

  - ### ArrayListScrollSpliterator

    public ArrayListScrollSpliterator(SelectMultiQuery query, Function<SelectMultiQuery,RequestResponse<List<T>>> repository, int scrollTimeout, int limit)
    Constructor
    Parameters:
      `query` - the select query
      `repository` - the repository
      `scrollTimeout` - scroll timeout
      `limit` - the limit

- ## Method Details

  - ### tryAdvance

    public boolean tryAdvance(Consumer<? super List<T>> action)

  - ### estimateSize

    public long estimateSize()
    Specified by:
      `estimateSize` in interface `Spliterator<T>`
    Overrides:
      `estimateSize` in class `Spliterators.AbstractSpliterator<List<T>>`